> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Update a company

PATCH https://api.brevo.com/v3/companies/{id}
Content-Type: application/json

Update an existing company''s attributes, name, linked contacts, or linked deals. Note that passing `linkedContactsIds` or `linkedDealsIds` replaces the entire list of associations, so omitted IDs will be removed. The company name cannot be set to an empty string.

Reference: https://developers.brevo.com/reference/update-a-company

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `attributes` (object, optional) — Attributes for company update
- `countryCode` (long, optional) — Country code if phone_number is passed in attributes.
- `linkedContactsIds` (list of long, optional) — Warning - Using PATCH on linkedContactIds replaces the list of linked contacts. Omitted IDs will be removed.
- `linkedDealsIds` (list of string, optional) — Warning - Using PATCH on linkedDealsIds replaces the list of linked deals. Omitted IDs will be removed.
- `name` (string, optional) — Name of company

## Response

### 200

Company updated successfully

- `attributes` (object, optional) — Company attributes with values
- `id` (string, optional) — Unique company id
- `linkedContactsIds` (list of integer, optional) — Contact ids for contacts linked to this company
- `linkedDealsIds` (list of string, optional) — Deal ids for deals linked to this company

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

Returned when company id is not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "attributes": {
    "created_at": "2022-01-13T19:04:24.376+05:30",
    "domain": "xyz",
    "last_updated_at": "2022-04-01T18:47:48.283+05:30",
    "name": "text",
    "number_of_contacts": 0,
    "owner": "62260474111b1101704a9d85",
    "owner_assign_date": "2022-04-01T18:21:13.379+05:30",
    "phone_number": 8171844192,
    "revenue": 10
  },
  "id": "629475917295261d9b1f4403",
  "linkedContactsIds": [
    1,
    2,
    3
  ],
  "linkedDealsIds": [
    "61a5ce58c5d4795761045990",
    "61a5ce58c5d4795761045991",
    "61a5ce58c5d4795761045992"
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.companies.updateACompany({
        id: "id",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.companies.update_a_company(
    id="id",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Companies\Requests\PatchCompaniesIdRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->companies->updateACompany(
    'id',
    new PatchCompaniesIdRequest([]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/companies/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/companies/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.brevo.com/v3/companies/id")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/companies/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/companies/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```